#!/bin/sh

# build my info/dep file(s) and copy into /tmp before running script
# I prefer wget to use no clobber as I retest the script

# build depends 
tce-load -i compiletc submitqc4 wget
tce-load -i aspell aspell-lib ncursesw-dev

# download and unpack stuff
# http://aspell.net/ is main site but used mirror for speed
cd /tmp
wget -nc http://mirror.optusnet.com.au/gnu/aspell/dict/it/aspell6-it-2.2_20050523-0.tar.bz2
tar jxvf aspell6-it-2.2_20050523-0.tar.bz2

# tcz compile flags not needed its just a pack

cd aspell6-it-2.2_20050523-0
./configure --vars DESTDIR=/usr/local 
make -j3
make DESTDIR=/tmp/aspell-it install

cd /tmp
mksquashfs aspell-it aspell-it.tcz
md5sum aspell-it.tcz > aspell-it.tcz.md5.txt
cd aspell-it
find usr -not -type d > aspell-it.tcz.list
mv -f aspell-it.tcz.list /tmp

# complete

cd /tmp
submitqc4